Bug 855305 - RFE: Unknown RPM tag should be named in 'unknown tag' error message
RFE: Unknown RPM tag should be named in 'unknown tag' error message
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 06:12 EDT by David Tonhofer
Modified: 2015-11-13 08:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 08:35:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2012-09-07 06:12:55 EDT
Description of problem:
=======================

I am running
------------

/bin/rpm --query --queryformat 'ARCH: %{ARCH}\nNAME: %{NAME}\nVERSION: %{VERSION}\nRELEASE: %{RELEASE}\nRHNPLATFORM: %{RHNPLATFORM}\nBUILDTIME: %{BUILDTIME:date}\n' 'a52dec-0.7.4-16.fc17.x86_64'

I get the error 
---------------

error: incorrect format: unknown tag

Indeed, the "RHNPLATFORM" tag is unknown on Fedora 17. 

For usability, I *should* get the error
---------------------------------------

error: incorrect format: unknown tag 'RHNPLATFORM'

Version-Release number of selected component (if applicable):
=============================================================

rpm-4.9.1.3-7.fc17.x86_64

How reproducible:
=================

Always
Comment 1 Panu Matilainen 2012-10-15 04:47:55 EDT
No disagreement from usability POV, but this is due to a limitation of the API, not just "forgotten" extra information.
Comment 2 Fedora End Of Life 2013-07-03 22:20:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Panu Matilainen 2013-07-05 05:18:46 EDT
Moving to rawhide to avoid timeouting.
Comment 4 Florian Festi 2015-11-13 08:35:39 EST
Fixed upstream as 73674678b2b96a36ec542ec3bc23b227c6129b5f.
Comment 5 Panu Matilainen 2015-11-13 08:53:50 EST
Static buffers are bad for business and poison to threads. It should at least use thread local storage if it can't be avoided by other means.

Note You need to log in before you can comment on or make changes to this bug.